# Import the PyQt and QGIS libraries
from PyQt4.QtCore import * 
from PyQt4.QtGui import *
from qgis.core import *
from qgis.gui import *

class simplePlugin:

	def __init__(self, iface):
		# Save reference to the QGIS interface
		self.iface = iface
		
	def initGui(self):
		# Create action that will start plugin configuration
		self.action = QAction(QIcon(":/plugins/totem/icon.png"), "test", self.iface.mainWindow())
		# connect the action to the run method
		QObject.connect(self.action, SIGNAL("activated()"), self.run)
		self.iface.addPluginToMenu("Plugin...", self.action)

	def unload(self):
		# Remove the plugin menu item and icon
		self.iface.removePluginMenu("Plugin...", self.action)
		self.iface.removeToolBarIcon(self.action) 

	def run(self):
		mapCanvas=self.iface.mapCanvas()
		# Create the appropriate map tool and connect the gotPoint() signal.
		emitPoint = QgsMapToolEmitPoint(mapCanvas)
		mapCanvas.setMapTool(emitPoint)
		QObject.connect(emitPoint, SIGNAL("canvasClicked( const QgsPoint &, Qt.MouseButton)"), self.clickButton)
		
	def clickButton(self, pnt, but):
		msg = QMessageBox()
		msg.information(None, "Nome finestra", "cliccato", "&Ok", "&Cancel",  "", 0, 1)
